View Issue Details

IDProjectCategoryView StatusLast Update
0036300PatchesPatchpublic2019-11-14 02:39
ReporterDean QinAssigned Towp 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0036300: [PATCH] patch for FPVectorial
Descriptionpatch from Mike.Cornflake (https://forum.lazarus.freepascal.org/index.php/topic,45056.msg337265.html#msg337265)

solved "every single char such as 'A', 'B', or '1', '2'... will be empty in saved docx or odt file"
TagsNo tags attached.
Fixed in Revision62237
LazTarget2.0.8
Widgetset
Attached Files
  • patch (639 bytes)
    Index: components/fpvectorial/docxvectorialwriter.pas
    ===================================================================
    --- components/fpvectorial/docxvectorialwriter.pas	(版本 62229)
    +++ components/fpvectorial/docxvectorialwriter.pas	(工作副本)
    @@ -551,7 +551,7 @@
             If (sText[i] In [#10, #09, #13]) Or (i = iLen) Then
             Begin
               // Add the text before this point into a single Text Run
    -          If i > iStart Then
    +          If i >= iStart Then
               Begin
                 // If end of line AND end of line isn't a special char, then
                 // inc(i) to ensure the math in the Copy works :-)
    
    patch (639 bytes)
  • 0036300.7z (1,645 bytes)
  • 0036300_fpc304.zip (1,418 bytes)

Activities

Dean Qin

2019-11-12 08:24

reporter  

patch (639 bytes)
Index: components/fpvectorial/docxvectorialwriter.pas
===================================================================
--- components/fpvectorial/docxvectorialwriter.pas	(版本 62229)
+++ components/fpvectorial/docxvectorialwriter.pas	(工作副本)
@@ -551,7 +551,7 @@
         If (sText[i] In [#10, #09, #13]) Or (i = iLen) Then
         Begin
           // Add the text before this point into a single Text Run
-          If i > iStart Then
+          If i >= iStart Then
           Begin
             // If end of line AND end of line isn't a special char, then
             // inc(i) to ensure the math in the Copy works :-)
patch (639 bytes)

wp

2019-11-12 15:33

developer   ~0119241

Please post a simple project so that I can see the bug and that it is fixed by the patch.

Dean Qin

2019-11-13 05:09

reporter   ~0119256

hi, wp

simple project attached, tested under win10 & mac 10.14

0036300.7z (1,645 bytes)

wp

2019-11-13 22:44

developer   ~0119280

Added an updated version of the demo which does not require fpc trunk.

0036300_fpc304.zip (1,418 bytes)

wp

2019-11-13 22:46

developer   ~0119281

Applied. Thanks for patch and demo. Please test and close if ok.

Dean Qin

2019-11-14 02:39

reporter   ~0119284

thanks wp & Mike

Issue History

Date Modified Username Field Change
2019-11-12 08:24 Dean Qin New Issue
2019-11-12 08:24 Dean Qin File Added: patch
2019-11-12 15:32 wp Assigned To => wp
2019-11-12 15:32 wp Status new => assigned
2019-11-12 15:33 wp Status assigned => feedback
2019-11-12 15:33 wp LazTarget => -
2019-11-12 15:33 wp Note Added: 0119241
2019-11-13 05:09 Dean Qin File Added: 0036300.7z
2019-11-13 05:09 Dean Qin Note Added: 0119256
2019-11-13 05:09 Dean Qin Status feedback => assigned
2019-11-13 22:44 wp File Added: 0036300_fpc304.zip
2019-11-13 22:44 wp Note Added: 0119280
2019-11-13 22:46 wp Status assigned => resolved
2019-11-13 22:46 wp Resolution open => fixed
2019-11-13 22:46 wp Fixed in Revision => 62237
2019-11-13 22:46 wp LazTarget - => 2.0.8
2019-11-13 22:46 wp Note Added: 0119281
2019-11-14 02:39 Dean Qin Note Added: 0119284
2019-11-14 02:39 Dean Qin Status resolved => closed